Ginkgo: gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory > Struct Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory > Struct Template Reference
Inheritance diagram for gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >:
[legend]
Collaboration diagram for gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >:
[legend]

## Public Member Functions
auto | with_preconditioner (::gko::deferred_factory_parameter< preconditioner_type > factory) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_generated_preconditioner (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::solver::enable_iterative_solver_factory_parameters< Parameters, Factory >
template<typename... Args, typename = std::enable_if_t<::std::conjunction< std::is_convertible<Args, ::gko::deferred_factory_parameter< criteria_type>>...>::value>>
auto | with_criteria (Args &&... factories) -> std::decay_t< decltype(*(this->self()))> &
template<typename FactoryType, typename = std::enable_if_t<std::is_convertible< FactoryType, ::gko::deferred_factory_parameter<criteria_type>>::value>>
auto | with_criteria (const std::vector< FactoryType > &factories) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< Parameters, Factory >
Parameters & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
std::shared_ptr< const LinOpFactory > | preconditioner {}
| The preconditioner to be used by the iterative solver.
std::shared_ptr< const LinOp > | generated_preconditioner {nullptr}
| Already generated preconditioner.
Public Attributes inherited from gko::solver::enable_iterative_solver_factory_parameters< Parameters, Factory >
std::vector< std::shared_ptr< const stop::CriterionFactory > > | criteria {}
| Stopping criteria to be used by the solver.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< Parameters, Factory >
using | factory

## Member Data Documentation

## ◆ generated_preconditioner

template<typename Parameters, typename Factory>

std::shared_ptr<const LinOp> gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::generated_preconditioner {nullptr}

Already generated preconditioner.

If one is provided, the factory preconditioner will be ignored.

## ◆ preconditioner

template<typename Parameters, typename Factory>

std::shared_ptr<const LinOpFactory> gko::solver::enable_preconditioned_iterative_solver_factory_parameters< Parameters, Factory >::preconditioner {}

The preconditioner to be used by the iterative solver.

By default, no preconditioner is used.

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/solver_base.hpp